/***************************************************************************
 * tabtrilltest.cpp
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "tabtrilltest.h"

#include "src/header.h"

#include "src/tablature/tabbeateffects.h"
#include "src/tablature/tabchord.h"
#include "src/tablature/tabduration.h"

#include "src/tablature/tabbend.h"
#include "src/tablature/tabdynamic.h"

#include "src/tablature/tabgracenotetransition.h"
#include "src/tablature/tabgracenote.h"

#include "src/tablature/tabharmonic.h"
#include "src/tablature/tabslide.h"
#include "src/tablature/tabtrill.h"
#include "src/tablature/tabnoteeffect.h"

#include "src/tablature/tabnote.h"

#include "src/tablature/tabmixtablechanges.h"
#include "src/tablature/tabtimes.h"
#include "src/tablature/tabbarproperties.h"

#include "src/tablature/tabbar.h"

#include "src/tablature/trackmidiproperties.h"
#include "src/tablature/timesignature.h"
#include "src/tablature/trackproperties.h"

#include "src/tablature/tabtrack.h"

#include "src/tablature/songkey.h"
#include "src/tablature/tablyrics.h"
#include "src/tablature/tabproperties.h"

#include "src/tablature/tabsong.h"

void TabTrillTest::testFret()
{
	TabTrill trill;
	QCOMPARE( trill.fretTrill(), (char)0);
	
	trill.setFretTrill(10);
	QCOMPARE( trill.fretTrill(), (char)10);
}

void TabTrillTest::testPeriod()
{
	TabTrill trill;
	QCOMPARE( trill.period(), (char)0);
	
	trill.setPeriod(20);
	QCOMPARE( trill.period(), (char)20);
}

void TabTrillTest::testOperators()
{
	TabTrill trill1;
	TabTrill trill2;
	QCOMPARE( trill1 == trill2, true );
	QCOMPARE( trill1 != trill2, false );
	
	trill1.setFretTrill(10);
	trill2.setPeriod(20);
	QCOMPARE( trill1 == trill2, false );
	QCOMPARE( trill1 != trill2, true );
}

QTEST_MAIN(TabTrillTest)
#include "tabtrilltest.moc"
